var workingFolder = "";
var activeTab;
var controlPressed = false;
var shiftPressed = false;
var tabsCounter = 0;

function window::onload()
{
 document.body.focus();
 workingFolder = getWorkingFolder();
 adjustSize(document.body.getAttribute("initwidth"),document.body.getAttribute("initheight"));
 tabsCounter = document.body.getAttribute("tabcount");
 if(tabsCounter > 1) activeTab = document.all("t00");
 if(tabsCounter <= 0) document.all("content").src = "./engine/blank.htm";
 return true;
}

function window::onunload()
{
 return true;
}

function switchTab(dir)
{
 if(tabsCounter <= 1) return false;
 var tabNum = parseInt(activeTab.id.substr(1));
 tabNum += dir;
 if(tabNum > tabsCounter-1) tabNum = 0;
 if(tabNum < 0) tabNum = tabsCounter-1;
 var tabID = (tabNum<10)?"t0"+tabNum:"t"+tabNum;
 var obj = document.all(tabID);
 if(obj == activeTab) return false;
 activeTab.background = "transparent";
 obj.background = "engine/navactive.gif";
 document.all("content").src = obj.getAttribute("buddy");
 activeTab = obj;
 activeTab.focus();
}

function document::onkeydown()
{
 var kbrd = event.keyCode;
 switch(kbrd)
 {
 case 9:
  if(!controlPressed) break;
  if(shiftPressed) switchTab(-1);
  else switchTab(1);
  break;
 case 16: shiftPressed = true; break;
 case 17: controlPressed = true; break;
 case 116: return false; //F5
 default: break; 
 }
 return true;
}

function document::onkeyup()
{
 if(event.keyCode == 17) controlPressed = false;
 if(event.keyCode == 16) shiftPressed = false;
 return true;
}

function trim(s)
{
 if(s == null) return "";
 s = String(s);
 return s.replace(/(^\s*)|(\s*$)/g,"");
}

function adjustSize(x,y)
{
 var windowLeft = (screen.width-x)/2;
 var windowTop = (screen.height-y)/2;
 window.resizeTo(x,y);
 window.moveTo(windowLeft,windowTop);
}

function getWorkingFolder()
{
 var tmp = window.document.location.pathname;
 tmp = tmp.substr(0,tmp.length-20);
 return unescape(tmp);
}

function highlightTab()
{
 var obj = window.event.srcElement;
 if(obj == activeTab) return false;
 obj.background = "engine/navactive.gif";
}

function blurTab()
{
 var obj = window.event.srcElement;
 if(obj == activeTab) return false;
 obj.background = "transparent";
}

function activateTab()
{
 var obj = window.event.srcElement;
 if(obj == activeTab) return false;
 activeTab.background = "transparent";
 obj.background = "engine/navactive.gif";
 document.all("content").src = obj.getAttribute("buddy");
 activeTab = obj;
}